<?php
include 'admin/config/config.inc.php';
$data = new Config();



// Create connection
$conn = new mysqli($data->getSQLHost(), $data->getSQLUser(), $data->getSQLPassword(), $data->getSQLDatabase());
mysqli_set_charset($conn, "utf8");

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}


$result = $conn->query("SELECT * FROM `feuerwehr_pi`");


if ($result->num_rows > 0) {
    // output data of each row
    while($row = $result->fetch_assoc()) {

        if($row['id'] == 10) {
            echo("<h4>Revier Pinneberg</h4>");
        }
        if($row['id'] == 20) {
            echo("<h4>Revier Elmshorn</h4>");
        }
        if($row['id'] == 30) {
            echo("<h4>Revier Wedel</h4>");
        }
        if($row['id'] == 40) {
            echo("<h4>Revier Uetersen</h4>");
        }
        if($row['id'] == 60) {
            echo("<h4>Revier Hörnerkirchen</h4>");
        }
        if($row['id'] == 70) {
            echo("<h4>Revier Quickborn</h4>");
        }
        if($row['id'] == 80) {
            echo("<h4>Revier Barmstedt</h4>");
        }
?>
        <section class="section--center mdl-grid mdl-grid--no-spacing mdl-shadow--2dp">
            <div class="mdl-card mdl-cell mdl-cell--12-col">
                <div class="mdl-card__supporting-text">
                    <h4 style="text-align: center"><?php echo $row['Ort'] ." [". $row['id'];?>]</h4>
                    <table style="margin-left: auto; margin-right: auto" class="mdl-data-table mdl-js-data-table mdl-shadow--2dp">
                        <thead>
                        <tr>
                            <th class="mdl-data-table__cell--non-numeric">Fahrzeugtyp</th>
                            <th>Funkrufnummer</th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php

                        $fahrzeuge = $conn->query("SELECT * FROM `feuerwehr` WHERE OrtID = ". $row['id'] );

                        if($fahrzeuge->num_rows > 0) {
                            while ($frow = $fahrzeuge->fetch_assoc()) {
                                ?>
                                <tr>
                                    <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Fahrzeugtyp'] ?></td>
                                    <td><?php echo $frow['Organistationskennung'] . " " . $row['id'] . "-" . $frow['Fahrzeugkennung'] ?></td>
                                </tr>
                                <?php
                            }
                        }
                        ?>
                        </tbody>
                    </table>
                </div>
        </section>
<?php }}?>